var gTocFiles = [
["このガイドについて","src/ceql_about_this_guide.html"]
,["Endeca Query Languageについて","src/ceql_intro_root.html",
["EQLの概要","src/ceql_intro_overview.html"]
,["重要な概念と用語","src/ceql_intro_concepts.html"]
,["EQLとSQLの比較","src/ceql_intro_sql_compare.html"]
,["問合せの概要","src/ceql_intro_query_overview.html"]
,["問合せがどのように処理されるか","src/ceql_intro_quey_process.html"]
,["対話サービスにおけるEQLリクエスト","src/ceql_intro_conversation_query.html"]
,["EQLの予約済キーワード","src/reql_intro_reserved_words.html"]
],["文と句","src/ceql_statement_root.html",
["DEFINE句","src/reql_statement_define.html"]
,["RETURN句","src/reql_statement_return.html"]
,["SELECT句","src/ceql_statement_select.html"]
,["AS句","src/reql_statement_as.html",
["導出属性を計算するためのAS式の使用","src/ceql_expr_derived_attributes.html"]
],["FROM句","src/ceql_statement_from.html"]
,["JOIN句","src/ceql_statement_join.html"]
,["WHERE句","src/ceql_statement_where.html"]
,["HAVING句","src/ceql_statement_having.html"]
,["ORDER BY句","src/ceql_statement_order_by.html"]
,["PAGE句","src/ceql_statement_page.html"]
],["集計","src/ceql_aggregation_root.html",
["GROUP句/GROUP BY句","src/ceql_aggregation_group.html"]
,["MEMBERS拡張","src/reql_aggregation_members.html"]
,["GROUPING SETS式","src/reql_aggregation_grouping_sets.html"]
,["ROLLUP拡張","src/reql_aggregation_rollup.html"]
,["CUBE拡張","src/reql_aggregation_cube.html"]
,["グルーピング・セットのヘルパー関数","src/ceql_aggregation_grouping_funcs.html",
["GROUPING関数","src/reql_aggregation_grouping_function.html"]
,["GROUPING_ID関数","src/reql_aggregation_grouping_id.html"]
,["GROUP_ID関数","src/reql_aggregation_group_id.html"]
,["グルーピングの動作に関する注意","src/ceql_aggregation_grouping_behavior.html"]
],["COUNT関数","src/reql_aggregation_count.html"]
,["COUNTDISTINCT関数","src/reql_aggregation_countdistinct.html"]
,["複数レベル集計","src/ceql_aggregation_nested.html"]
,["集計ごとのフィルタ","src/ceql_aggregation_filters.html"]
],["式","src/ceql_expr_root.html",
["サポートされるデータ型","src/ceql_expr_data_types.html"]
,["演算子の優先順位のルール","src/ceql_expr_precedence_rules.html"]
,["リテラル","src/ceql_literals_root.html",
["文字の扱い","src/ceql_literals_characters.html"]
,["大文字と小文字の扱い","src/ceql_literals_case.html"]
,["NULL属性値の扱い","src/ceql_literals_null.html"]
,["型の昇格","src/ceql_literals_type_promotion.html"]
,["NaN、infおよび-infの結果の扱い","src/ceql_literals_nan.html"]
],["関数と演算子","src/ceql_functions_root.html",
["数値関数","src/ceql_functions_numeric.html"]
,["集計関数","src/ceql_functions_aggregation.html"]
,["階層関数","src/ceql_functions_hierarchy.html"]
,["ジオコード関数","src/ceql_functions_geocode.html"]
,["日付と時刻の関数","src/ceql_functions_date.html",
["現在の日付と時刻の操作","src/ceql_functions_date_current.html"]
,["日付と時刻の値の組立て","src/ceql_functions_date_construct.html"]
,["タイムゾーンの操作","src/ceql_functions_date_timezone.html"]
,["dateTime値の一部分を抽出するためのEXTRACTの使用","src/ceql_functions_date_extract.html"]
,["dateTime値を切り捨てるためのTRUNCの使用","src/ceql_functions_date_trunc.html"]
,["日付と時刻の値に対する算術演算の使用","src/ceql_functions_date_arithmetic.html"]
],["文字列関数","src/reql_functions_string.html"]
,["算術演算子","src/ceql_functions_arithmetic.html"]
,["ブール演算子","src/ceql_functions_boolean.html"]
],["EQLの結果を使用したフォローオン問合せの作成","src/ceql_expr_followon_query.html"]
,["ルックアップ式を使用した文間参照","src/ceql_expr_interstatement.html"]
,["ARB","src/reql_expr_arb.html"]
,["BETWEEN","src/reql_expr_between.html"]
,["COALESCE","src/ceql_expr_coalesce.html"]
,["CASE","src/ceql_expr_case.html"]
,["IN","src/ceql_expr_in.html"]
],["セットと複数割当てデータ","src/ceql_sets_root.html",
["セットについて","src/ceql_sets_about.html"]
,["集計関数","src/ceql_sets_aggregators.html",
["SET関数","src/reql_sets_set_function.html"]
,["SET_INTERSECTIONS関数","src/reql_sets_set_intersections.html"]
,["SET_UNIONS関数","src/reql_sets_unions.html"]
],["行関数","src/ceql_sets_row_functions.html",
["UNION関数","src/reql_sets_union.html"]
,["INTERSECTION関数","src/reql_sets_intersection.html"]
,["DIFFERENCE関数","src/reql_sets_difference.html"]
,["SUBSET関数","src/reql_sets_subset.html"]
,["IS_MEMBER_OF関数","src/reql_sets_is_member_of.html"]
,["ADD_ELEMENT関数","src/reql_sets_add_element.html"]
,["IS_EMPTYおよびIS_NOT_EMPTY関数","src/reql_sets_is_empty.html"]
,["SINGLETON関数","src/reql_sets_singleton.html"]
,["CARDINALITY関数","src/reql_sets_cardinality.html"]
,["TRUNCATE_SET関数","src/reql_sets_truncate_set.html"]
],["セット・コンストラクタ","src/reql_sets_constructor.html"]
,["数量詞","src/reql_sets_quantifiers.html"]
,["セットによるグルーピング","src/ceql_sets_grouping.html"]
],["EQLのユース・ケース","src/ceql_use_case_root.html",
["再正規化","src/ceql_use_case_renormalization.html"]
,["範囲バケットでのグルーピング","src/ceql_use_case_grouping.html"]
,["動的に計算される範囲値でのレコードの操作","src/ceql_use_case_dynamic_range.html"]
,["データのグルーピングによる四分位数の計算","src/ceql_use_case_quartile.html"]
,["1つフィールドへの複数のスパース・フィールドの結合","src/ceql_use_case_combine_sparse.html"]
,["各種レコードからのデータの結合","src/ceql_use_case_join_record_types.html"]
,["階層上での結合","src/ceql_use_case_join_hierarchy.html"]
,["EQLでの線形回帰","src/ceql_use_case_linear_regressions.html"]
,["INフィルタを使用した円グラフの分割","src/ceql_use_case_in_filter.html"]
,["累計","src/ceql_use_case_running_sum.html"]
,["経過期間による問合せ","src/ceql_use_case_query_by_age.html"]
,["直近の月とその前の月の間の変化率の計算","src/ceql_use_case_percent_change.html"]
],["EQLのベスト・プラクティス","src/ceql_bp_root.html",
["入力サイズの制御","src/ceql_bp_input_size.html"]
,["なるべく早いフィルタリング","src/ceql_bp_filter_early.html"]
,["結合サイズの制御","src/ceql_bp_join_size.html"]
,["追加のヒント","src/ceql_bp_tips.html"]
],["このマニュアルで使用する規則","src/c_conventions_used_in_this_book.html"]
,["コピーライトと免責条項","src/c_copyright.html"]
];
var gInitURL = "src/ceql_about_this_guide.html";
var gMapTitle = "Endeca Server EQLガイド";
